Foxit PDF SDK

Public Types | Public Member Functions | Properties | List of all members
foxit.addon.conversion.Excel2PDFSettingData Class Reference

Inherits SystemIDisposable.

## Public Types
enum | ConvertQuality { ConvertQuality.e_ConvertQualityStandard = 0, ConvertQuality.e_ConvertQualityMinimum = 1 }
| Enumeration for quality for converting Excel to PDF. More...
enum | ScaleType { ScaleType.e_ScaleTypeNone = 0, ScaleType.e_ScaleTypeFitAllColumns = 1, ScaleType.e_ScaleTypeFitAllRows = 2, ScaleType.e_ScaleTypeFitSheet = 3 }
| Enumeration for scaling type for each sheet in the Excel document for converting Excel to PDF. More...

## Public Member Functions
| Excel2PDFSettingData ()
| Constructor.
| Excel2PDFSettingData (bool include_doc_props, Excel2PDFSettingData.ConvertQuality quality, bool ignore_print_area, Excel2PDFSettingData.ScaleType scale_type, bool convert_to_pdfa, bool disable_vba_code)
| Constructor, with parameters. More...
void | Set (bool include_doc_props, Excel2PDFSettingData.ConvertQuality quality, bool ignore_print_area, Excel2PDFSettingData.ScaleType scale_type, bool convert_to_pdfa)
| Set value. More...

## Properties
bool | convert_to_pdfa`[get, set]`
| (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false. More...
bool | disable_vba_code`[get, set]`
| A boolean value decide whether to disable the execution of vba code in the Excel document. More...
bool | ignore_print_area`[get, set]`
| A boolean value which indicates whether to ignore any print area set when converting Excel document to PDF file. More...
bool | include_doc_props`[get, set]`
| A boolean value which indicates whether to include Excel document properties in the converted PDF document. More...
Excel2PDFSettingData.ConvertQuality | quality`[get, set]`
| Quality for covnerting Excel to PDF. Please refer to values starting from foxit.addon.conversion.Excel2PDFSettingData.ConvertQuality.e_ConvertQualityStandard and this should be one of these values.
Excel2PDFSettingData.ScaleType | scale_type`[get, set]`
| Scale type for the Excel sheet when converting Excel document to PDF file. Please refer to values starting from foxit.addon.conversion.Excel2PDFSettingData.ScaleType.e_ScaleTypeNone and this should be one of these values.

## Detailed Description

This class represents setting data used for converting Excel to PDF.

## Member Enumeration Documentation

## ◆ ConvertQuality

enum foxit.addon.conversion.Excel2PDFSettingData.ConvertQuality
| strong

Enumeration for quality for converting Excel to PDF.

Values of this enumeration should be used alone.

Enumerator
e_ConvertQualityStandard | Standard quality.
e_ConvertQualityMinimum | Minimum quality.

## ◆ ScaleType

enum foxit.addon.conversion.Excel2PDFSettingData.ScaleType
| strong

Enumeration for scaling type for each sheet in the Excel document for converting Excel to PDF.

Values of this enumeration should be used alone.

Enumerator
e_ScaleTypeNone | No scaling.
e_ScaleTypeFitAllColumns | Fit all columns of one sheet on one page.
e_ScaleTypeFitAllRows | Fit all rows of one sheet on one page.
e_ScaleTypeFitSheet | Fit a sheet on one page.

## Constructor & Destructor Documentation

## ◆ Excel2PDFSettingData()

foxit.addon.conversion.Excel2PDFSettingData.Excel2PDFSettingData | ( | bool | include_doc_props,
|  | Excel2PDFSettingData.ConvertQuality | quality,
|  | bool | ignore_print_area,
|  | Excel2PDFSettingData.ScaleType | scale_type,
|  | bool | convert_to_pdfa,
|  | bool | disable_vba_code
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | include_doc_props | A boolean value which indicates whether to include Excel document properties in the converted PDF document.
  [in] | quality | Quality for covnerting Excel to PDF. Please refer to values starting from foxit.addon.conversion.Excel2PDFSettingData.ConvertQuality.e_ConvertQualityStandard and this should be one of these values.
  [in] | ignore_print_area | A boolean value which indicates whether to ignore any print area set when converting Excel document to PDF file.
  [in] | scale_type | Scale type for the Excel sheet when converting Excel document to PDF file. Please refer to values starting from foxit.addon.conversion.Excel2PDFSettingData.ScaleType.e_ScaleTypeNone and this should be one of these values.
  [in] | convert_to_pdfa | (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false.
  [in] | disable_vba_code | A boolean value decide whether to disable the execution of vba code in the Excel document.

## Member Function Documentation

## ◆ Set()

void foxit.addon.conversion.Excel2PDFSettingData.Set | ( | bool | include_doc_props,
|  | Excel2PDFSettingData.ConvertQuality | quality,
|  | bool | ignore_print_area,
|  | Excel2PDFSettingData.ScaleType | scale_type,
|  | bool | convert_to_pdfa
| ) |  |
| inline

Set value.

Parameters

  [in] | include_doc_props | A boolean value which indicates whether to include Excel document properties in the converted PDF document.
  [in] | quality | Quality for covnerting Excel to PDF. Please refer to values starting from foxit.addon.conversion.Excel2PDFSettingData.ConvertQuality.e_ConvertQualityStandard and this should be one of these values.
  [in] | ignore_print_area | A boolean value which indicates whether to ignore any print area set when converting Excel document to PDF file.
  [in] | scale_type | Scale type for the Excel sheet when converting Excel document to PDF file. Please refer to values starting from foxit.addon.conversion.Excel2PDFSettingData.ScaleType.e_ScaleTypeNone and this should be one of these values.
  [in] | convert_to_pdfa | (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false.

Returns
  None.

## Property Documentation

## ◆ convert_to_pdfa

bool foxit.addon.conversion.Excel2PDFSettingData.convert_to_pdfa
| get set

(Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false.

true means to convert Excel document to a PDF/A file.
false means to convert Excel document to a common file.

## ◆ disable_vba_code

bool foxit.addon.conversion.Excel2PDFSettingData.disable_vba_code
| get set

A boolean value decide whether to disable the execution of vba code in the Excel document.

true means to disable the vba code, while false means not. Default value:false.
This flag is only supported on Windows platforms.

## ◆ ignore_print_area

bool foxit.addon.conversion.Excel2PDFSettingData.ignore_print_area
| get set

A boolean value which indicates whether to ignore any print area set when converting Excel document to PDF file.

true means to ignore any setting of print area in Excel document.
false means to use the setting of print areas in Excel document.

## ◆ include_doc_props

bool foxit.addon.conversion.Excel2PDFSettingData.include_doc_props
| get set

A boolean value which indicates whether to include Excel document properties in the converted PDF document.

true means to include Excel document properties in the converted PDF document.
false means not to include Excel document properties in the converted PDF document.